%global optflags %{optflags} -flto=auto
%global build_ldflags %{build_ldflags} -flto

Name:           celluloid
Version:        0.27
Release:        %mkrel 2
Summary:        A simple GTK+ frontend for mpv

License:        GPLv3+
URL:            https://github.com/celluloid-player/celluloid
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Group:          Video/Players

BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  intltool >= 0.40.6
BuildRequires:  typelib(AppStreamGlib)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(mpv) >= 1.20
BuildRequires:  appstream-util
Requires:       youtube-dl >= 2016.03.06
Requires:       hicolor-icon-theme

Provides:       gnome-mpv = %{version}-%{release}
Obsoletes:      gnome-mpv < 0.17

%description
Celluloid (formerly GNOME MPV) is a simple GTK+ frontend for mpv.
It aims to be easy to use while maintaining high level of configurability.

%prep
%autosetup -p1

%build
export AR=%{_bindir}/gcc-ar
export RANLIB=%{_bindir}/gcc-ranlib
export NM=%{_bindir}/gcc-nm
%configure
%make_build V=1

%install
%make_install

%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/io.github.celluloid_player.Celluloid.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/io.github.celluloid_player.Celluloid.desktop

%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/io.github.celluloid_player.Celluloid.appdata.xml
%{_datadir}/applications/io.github.celluloid_player.Celluloid.desktop
%{_datadir}/dbus-1/services/io.github.celluloid_player.Celluloid.service
%{_datadir}/glib-2.0/schemas/io.github.celluloid_player.Celluloid.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.27-2.mga10
+ Revision: 2229687
- Mageia 10 Mass Rebuild

* Tue Oct 29 2024 neoclust <neoclust> 0.27-1.mga10
+ Revision: 2111739
- New version 0.27

* Sun Nov 13 2022 kekepower <kekepower> 0.24-2.mga9
+ Revision: 1906870
- Remove useless Patch0
- Add patch to find gtk4.0 and libadwaita
- Rebuild for new mpv 0.35.0
+ neoclust <neoclust>
- New version 0.24

* Thu Mar 31 2022 umeabot <umeabot> 0.20-2.mga9
+ Revision: 1836187
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 joequant <joequant> 0.20-1.mga8
+ Revision: 1652406
- fix deps
- update to 0.20
- fix build spec

* Sat May 16 2020 joequant <joequant> 0.19-1.mga8
+ Revision: 1584288
- imported package celluloid

